job "adminer" {
  datacenters = ["dc1"]
  type = "service"

  group "adminer" {
    count = 1
    # Some affinity to stateful hosts?

    network {
      mode = "bridge"
      port "adminer" {
        to = 8080
      }
    }

    service {
      name = "adminer"
      port = "adminer"

      tags = [
        "traefik.enable=true",
        "traefik.http.routers.adminer.entryPoints=websecure",
      ]
    }

    task "adminer" {
      driver = "docker"

      config {
        image = "adminer"
        ports = ["adminer"]
      }

      template {
        data = <<EOF
        {{ range nomadService 1 (env "NOMAD_ALLOC_ID") "mysql-server" -}}
        ADMINER_DEFAULT_SERVER={{ .Address }}:{{ .Port }}
        {{- end }}
        EOF
        env = true
        destination = "env"
      }

      resources {
        cpu = 50
        memory = 50
      }
    }
  }
}
