job "redis" {
  datacenters = ["dc1"]
  type = "service"
  priority = 60

  group "cache" {
    count = 1

    ephemeral_disk {
      migrate = true
      sticky = true
      size = 300
    }

    network {
      mode = "bridge"

      port "main" {
        to = 6379
      }
      port "envoy_metrics" {
        to = 9123
      }
    }

    service {
      name = "redis"
      provider = "nomad"
      port = "main"

      # check {
      #   name     = "alive"
      #   type     = "tcp"
      #   interval = "10s"
      #   timeout  = "2s"
      # }

      meta {
        envoy_metrics_addr = "${NOMAD_ADDR_envoy_metrics}"
      }
    }

    task "redis" {
      driver = "docker"

      config {
        image = "redis:6"
        args = ["redis-server", "--save", "60", "1", "--loglevel", "warning", "--dir", "${NOMAD_ALLOC_DIR}/data"]
        ports = ["main"]
      }

      resources {
        cpu = 100
        memory = 128
        memory_max = 512
      }
    }
  }
}
